#if !defined(AFX_CHDATADLG_H__F54C776F_62CC_4573_B1FE_6B6E3131BA6E__INCLUDED_)
#define AFX_CHDATADLG_H__F54C776F_62CC_4573_B1FE_6B6E3131BA6E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ChDataDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CChDataDlg dialog

//*****************************************
class CClientDlg;
//*****************************************

class CChDataDlg : public CDialog
{
// Construction
public:
	CChDataDlg(CWnd* pParent = NULL);   // standard constructor

//*****************************************
	void SetParent(CClientDlg* pParent);
	CClientDlg* m_pParent;
	CString m_Send;
	void SetBitmap (UINT ResID, int Type);
//*****************************************

// Dialog Data
	//{{AFX_DATA(CChDataDlg)
	enum { IDD = IDD_CHDATA };
	CString	m_Email;
	CString	m_Nickname;
	CString	m_Pass;
	BOOL	m_bEmail;
	BOOL	m_bNickname;
	BOOL	m_bPass;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CChDataDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CChDataDlg)
	afx_msg void OnButtonChange();
	virtual BOOL OnInitDialog();
	afx_msg void OnCheckEmail();
	afx_msg void OnCheckNickname();
	afx_msg void OnCheckPass();
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	int mType; 
	CBrush mHollowBrush;  
	CBitmap mBitmap;  
	int flag;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CHDATADLG_H__F54C776F_62CC_4573_B1FE_6B6E3131BA6E__INCLUDED_)
